//*****************************************************************************
//*****************************************************************************
//  FILENAME:  `@INSTANCE_NAME`.h
//  Version: 1.60, Updated on 2012/9/21 at 11:59:10
//  `@PSOC_VERSION`
//
//  DESCRIPTION:  LCD User Module C Language interface file.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef `@INSTANCE_NAME`_INCLUDE
#define `@INSTANCE_NAME`_INCLUDE

#include <m8c.h>

#define `@INSTANCE_NAME`_BARGRAPH_ENABLE `@BarGraph`

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall16  `@INSTANCE_NAME`_Start
#pragma fastcall16  `@INSTANCE_NAME`_Init
#pragma fastcall16  `@INSTANCE_NAME`_Control
#pragma fastcall16  `@INSTANCE_NAME`_WriteData
#pragma fastcall16  `@INSTANCE_NAME`_PrString
#pragma fastcall16  `@INSTANCE_NAME`_PrCString
#pragma fastcall16  `@INSTANCE_NAME`_PrHexByte
#pragma fastcall16  `@INSTANCE_NAME`_PrHexInt
#pragma fastcall16  `@INSTANCE_NAME`_Position
#pragma fastcall16  `@INSTANCE_NAME`_Delay50uTimes
#pragma fastcall16  `@INSTANCE_NAME`_Delay50u

#if ( `@INSTANCE_NAME`_BARGRAPH_ENABLE )
#pragma fastcall16  `@INSTANCE_NAME`_InitBG
#pragma fastcall16  `@INSTANCE_NAME`_DrawBG
#pragma fastcall16  `@INSTANCE_NAME`_InitVBG
#pragma fastcall16  `@INSTANCE_NAME`_DrawVBG
#endif

//-------------------------------------------------
// Prototypes of the `@INSTANCE_NAME` API.
//-------------------------------------------------

extern void  `@INSTANCE_NAME`_Start(void);
extern void  `@INSTANCE_NAME`_Init(void);
extern void  `@INSTANCE_NAME`_Control(BYTE bData);
extern void  `@INSTANCE_NAME`_WriteData(BYTE bData);
extern void  `@INSTANCE_NAME`_PrString(char * sRamString);
extern void  `@INSTANCE_NAME`_PrCString(const char * sRomString);
extern void  `@INSTANCE_NAME`_Position(BYTE bRow, BYTE bCol);
extern void  `@INSTANCE_NAME`_PrHexByte(BYTE bValue);
extern void  `@INSTANCE_NAME`_PrHexInt(INT iValue);

extern void  `@INSTANCE_NAME`_Delay50uTimes(BYTE bTimes);
extern void  `@INSTANCE_NAME`_Delay50u(void);

// Do not use, will be removed in future version.
extern void  `@INSTANCE_NAME`_Write_Data(BYTE bData);
#pragma fastcall16 `@INSTANCE_NAME`_Write_Data
//


#if ( `@INSTANCE_NAME`_BARGRAPH_ENABLE )
extern void  `@INSTANCE_NAME`_InitBG(BYTE bBGType);
extern void  `@INSTANCE_NAME`_InitVBG(void);
extern void  `@INSTANCE_NAME`_DrawVBG(BYTE bRow, BYTE bCol, BYTE bHeight, BYTE bPixelRowEnd);
extern void  `@INSTANCE_NAME`_DrawBG(BYTE bRow, BYTE bCol, BYTE bLen, BYTE bPixelColEnd);


#define `@INSTANCE_NAME`_SOLID_BG`@CTAB45`0x00
#define `@INSTANCE_NAME`_LINE_BG `@CTAB45`0x01


#endif

//-------------------------------------------------
// Defines for `@INSTANCE_NAME` API's.
//-------------------------------------------------
#define `@INSTANCE_NAME`_DISP_ON         `@CTAB45`0x0C
#define `@INSTANCE_NAME`_DISP_OFF        `@CTAB45`0x08
#define `@INSTANCE_NAME`_DISP_BLANK      `@CTAB45`0x0A
#define `@INSTANCE_NAME`_DISP_CLEAR_HOME `@CTAB45`0x01
#define `@INSTANCE_NAME`_CURSOR_ON       `@CTAB45`0x0E
#define `@INSTANCE_NAME`_CURSOR_OFF      `@CTAB45`0x0C
#define `@INSTANCE_NAME`_CURSOR_WINK     `@CTAB45`0x0D
#define `@INSTANCE_NAME`_CURSOR_BLINK    `@CTAB45`0x0F
#define `@INSTANCE_NAME`_CURSOR_SH_LEFT  `@CTAB45`0x10
#define `@INSTANCE_NAME`_CURSOR_SH_RIGHT `@CTAB45`0x14
#define `@INSTANCE_NAME`_CURSOR_HOME     `@CTAB45`0x02
#define `@INSTANCE_NAME`_CURSOR_LEFT     `@CTAB45`0x04
#define `@INSTANCE_NAME`_CURSOR_RIGHT    `@CTAB45`0x06

#define `@INSTANCE_NAME`_PORT_MASK       `@CTAB45`0x7F
//------------------------------------------------------
//  Register Address Constants for  `@INSTANCE_NAME`
//------------------------------------------------------

#define `@INSTANCE_NAME`_Port      `@CTAB40`   PRT`@LCDPort`DR
#define `@INSTANCE_NAME`_PortMode0 `@CTAB40`   PRT`@LCDPort`DM0
#define `@INSTANCE_NAME`_PortMode1 `@CTAB40`   PRT`@LCDPort`DM1

#endif
// end of file `@INSTANCE_NAME`.h