;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME:   `@INSTANCE_NAME`.inc
;;  Version: 1.60, Updated on 2012/9/21 at 11:59:10
;;  `@PSOC_VERSION`
;;
;;  DESCRIPTION:  Assembler declarations for the LCD user module interface.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************


; LCD connections to PSoC port
;
; PX.0 ==> LCD D4
; PX.1 ==> LCD D5
; PX.2 ==> LCD D6
; PX.3 ==> LCD D7
; PX.4 ==> LCD E
; PX.5 ==> LCD RS
; PX.6 ==> LCD R/W


include "m8c.inc"

;------------------------------------------------------
;  Register Address Constants for  `@INSTANCE_NAME`
;------------------------------------------------------

`@INSTANCE_NAME`_Port:      `@CTAB40`equ   PRT`@LCDPort`DR
`@INSTANCE_NAME`_PortMode0: `@CTAB40`equ   PRT`@LCDPort`DM0
`@INSTANCE_NAME`_PortMode1: `@CTAB40`equ   PRT`@LCDPort`DM1

`@INSTANCE_NAME`_BARGRAPH_ENABLE:`@CTAB40`equ   `@BarGraph`


;-----------------------------------------------
;  Constants for `@INSTANCE_NAME`
;-----------------------------------------------
; LCD commands

`@INSTANCE_NAME`_DISP_ON:         `@CTAB35`equ   0Ch
`@INSTANCE_NAME`_DISP_OFF:        `@CTAB35`equ   08h
`@INSTANCE_NAME`_CURSOR_ON:       `@CTAB35`equ   0Eh
`@INSTANCE_NAME`_CURSOR_OFF:      `@CTAB35`equ   0Ch
`@INSTANCE_NAME`_CURSOR_BLINK:    `@CTAB35`equ   0Fh
`@INSTANCE_NAME`_CURSOR_WINK:     `@CTAB35`equ   0Dh
`@INSTANCE_NAME`_CURSOR_SH_LEFT:  `@CTAB35`equ   10h
`@INSTANCE_NAME`_CURSOR_SH_RIGHT: `@CTAB35`equ   14h
`@INSTANCE_NAME`_CURSOR_HOME:     `@CTAB35`equ   02h
`@INSTANCE_NAME`_CURSOR_LEFT:     `@CTAB35`equ   04h
`@INSTANCE_NAME`_CURSOR_RIGHT:    `@CTAB35`equ   06h
`@INSTANCE_NAME`_DISP_CLEAR_HOME: `@CTAB35`equ   01h

`@INSTANCE_NAME`_SOLID_BG:        `@CTAB35`equ   00h
`@INSTANCE_NAME`_LINE_BG:         `@CTAB35`equ   01h

`@INSTANCE_NAME`_PORT_MASK:       `@CTAB35`equ   7Fh

ICE_PORT_SYNC:     equ   0   ; This flag must be set to one to work around
                             ; the async read issue with the ICE with the 
                             ; 25/26xxx family of devices.  It will help
                             ; to eliminate "Invalid memory reference" errors.
                             ; It is not required when running without the ICE
							 ; or when using any other family besides the 
							 ; 25/26xxx family. If not using the ICE, this flag 
							 ; may be set to 0.

; end of file `@INSTANCE_NAME`.inc

