// Forces the port parameter menu to list only available ports for LCD user module
//


function portSelection()
{  
    var scriptMan = PS;
    var deviceEditor  = scriptMan.GetDeviceEditor();
    //var xmlDOM = scriptMan.GetXMLDOM();
    var xmlDOM = new ActiveXObject("Microsoft.XMLDOM");
    xmlDOM.validateOnParse = false;
    
    xmlDOM.setProperty("SelectionLanguage","XPath"); 

	var aPortStatus = new Array();		
	
    // Get the first overlay in preparation for receiving pin grid 
    var sConfigs = deviceEditor.EnumerateConfigs2();                  
    xmlDOM.loadXML(sConfigs);    
    var configs = xmlDOM.documentElement.selectNodes("//PSOC_CONFIG");            
    var overlay = configs.item(0).getAttribute("NAME"); 

    // Get pin grid information
    var sPinGrid    = deviceEditor.GetPinGrid(overlay);      
    xmlDOM.loadXML(sPinGrid);  
    var gpioList = xmlDOM.documentElement.selectNodes("/PIN_GRID/PIN[contains(@Port,'P')]");

    // Go through pins 0 - 6 in each port
    for (var i = 0; i < gpioList.length; i++)  
    {
        //sPort - in form of Pd[d] (i.e. P1[1])
        var sPort = gpioList.item(i).getAttribute("Port");
		var Port =  sPort.charAt(1);
        var Pin =  sPort.charAt(3);
		//To remove unavailable ports from the list
        var pinSelect = gpioList.item(i).getAttribute("Select");

        //skip pin 7 because LCD UM doesn't use it
		if (Pin == 7)
		{
			continue;
		}
		
		 // If the select is not stdCPU initialize the port to remove
		if (pinSelect == "StdCPU") 
        {
            if (aPortStatus[Port] == undefined)
            {
                aPortStatus[Port] = 1;
            }
            else
            {
                aPortStatus[Port]++;;
            }
        }		
    }

    addRemovePorts(aPortStatus);
}

//Add the ports that were used and removed from the list previously.
//AND Remove the ports that have a pin with a status other than StdCPU
//
// aPortStatus - An array of the status (add, if necessary OR remove) of each port.
//              (i.e. aPortStatus[2] is equal to 1; //means port 2 needs removed from the list
function addRemovePorts(aPortStatus)
{
    var oUmParamGrid = otto;
    //Get all ports currently listed in the UM parameter
    var aPortArray = oUmParamGrid.GetCurUMParamValueRange("LCDPort").split(",");

    for (var i = 0; i < aPortStatus.length; i++) 
    {
        var fAdd = 1; //flag for adding ports
        var sPortName = "Port_" + i;

        //Might need to be added to the list
        if (aPortStatus[i] == 7) 
        {
            //Check if available port needs to be added
            for (var j = 0; j < aPortArray.length; j++) 
            {
                if (aPortArray[j] == sPortName) {
                    fAdd = 0;
                    break;  //already in the list
                }
            }
            // Add available port to the list, if necessary
            if (fAdd == 1) 
            {
                aPortArray.push(sPortName); // CDT 30629
                aPortArray.sort(compare);

                //Generate new list with the port added
                oUmParamGrid.SetCurUMParamValueRange("LCDPort", aPortArray.join());
            }
        }
        //Should be removed from the list
        else 
        {
            //Remove unavailable port from the list
            for (var j = 0; j < aPortArray.length; j++) 
            {
                if (aPortArray[j] == sPortName) 
                {
                    aPortArray.splice(j, 1);
                }
            }
            //Generate new list with Port_1 taken out
            oUmParamGrid.SetCurUMParamValueRange("LCDPort", aPortArray.join());
        }
    }
}

function compare(a, b) {
   return a.match(/\d+/) - b.match(/\d+/);
}
